Changes between Version 6 and Version 7 of Source Code


Ignore:
Timestamp:
Mar 10, 2006 8:40:56 PM (14 years ago)
Author:
timothy
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Source Code

    v6 v7  
    55 
    66== Step 1: == 
    7 Install Xcode either by downloading from http://developer.apple.com/ or install the package from your Xcode Tools CD (You need version 2.1 of Xcode, which by the way, means you'll need OS X 10.4.x). 
     7Install Xcode either by downloading from http://developer.apple.com/ or install the package from your Xcode Tools CD (You need version 2.2 of Xcode, which by the way, means you'll need OS X 10.4.x). 
    88 
    99== Step 2: == 
    10 Install Subversion from [http://darwinports.opendarwin.org DarwinPorts], [http://fink.sourceforge.net Fink] or manually (i.e. by using [http://www.codingmonkeys.de/mbo/ CodingMonkey Martin Ott's packages]) 
     10Install Subversion from [http://darwinports.opendarwin.org DarwinPorts], [http://fink.sourceforge.net Fink] or by using [http://metissian.com/downloads/macosx/subversion/subversion-client-1.3.0.dmg the official installer package.] 
    1111 
    1212== Step 3: == 
    1313Download a copy from the Subversion repository. In the OS X terminal type the following: 
    1414{{{ 
    15 /opt/local/bin/svn co !http://source.colloquy.info/colloquy/trunk 
     15/usr/local/bin/svn co !http://source.colloquy.info/colloquy/trunk 
    1616}}} 
    1717 
    18 (if you installed it in opt, which you may not have done. Alternatively, type `which svn` to locate your subversion binary) 
     18If you installed it in /usr/local/bin, which you may not have done. Alternatively, type `which svn` to locate your subversion binary. 
    1919 
    2020== Step 4: == 
    21 Double-click Configure.command in the Colloquy source directory. This only needs to be run once (or if any strange errors occur regarding libxml, libxslt or irssi.) 
     21Download and install the latest version of [http://www.fscript.org F-Script].  (F-Script is a powerful !SmallTalkish scripting language that uses the Cocoa frameworks.) 
    2222 
    2323== Step 5: == 
    24 Download and install the latest version of [http://www.fscript.org F-Script].  (F-Script is a powerful !SmallTalkish scripting language that uses the Cocoa frameworks.) 
    25  
    26 == Step 6: == 
    27 Also, download and install the latest version of [http://rubycocoa.sourceforge.net/doc/ RubyCocoa]. This is needed for the Ruby scripting plugin. 
    28  
    29 == Step 7: == 
    30 Verify that the Active Target is "Colloquy (Application)" (check the list box on the left-hand-side of the toolbar),  and hit Build and Run. 
     24Open the Colloquy project and Build. 
    3125 
    3226= Up-to-the-minute Code Changes =